Update Project
curl --request PATCH \
--url https://control-plane.kubiya.ai/api/v1/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"key": "<string>",
"description": "<string>",
"goals": "<string>",
"settings": {},
"status": "<string>",
"visibility": "<string>",
"restrict_to_environment": true,
"policy_ids": [
"<string>"
],
"default_model": "<string>"
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/projects/{project_id}"
payload = {
"name": "<string>",
"key": "<string>",
"description": "<string>",
"goals": "<string>",
"settings": {},
"status": "<string>",
"visibility": "<string>",
"restrict_to_environment": True,
"policy_ids": ["<string>"],
"default_model": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
key: '<string>',
description: '<string>',
goals: '<string>',
settings: {},
status: '<string>',
visibility: '<string>',
restrict_to_environment: true,
policy_ids: ['<string>'],
default_model: '<string>'
})
};
fetch('https://control-plane.kubiya.ai/api/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"key": "<string>",
"description": "<string>",
"goals": "<string>",
"settings": {},
"status": "<string>",
"visibility": "<string>",
"owner_id": "<string>",
"owner_email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"archived_at": "<string>",
"restrict_to_environment": false,
"policy_ids": [],
"default_model": "<string>",
"agent_count": 0,
"team_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Update Project
Update a project
PATCH
/
api
/
v1
/
projects
/
{project_id}
Update Project
Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I